petsc-3.10.5 2019-03-28
Report Typos and Errors

# KSPMonitorSNESLGResidualNormCreate

Creates a line graph context for use with KSP to monitor convergence of preconditioned residual norms.

### Synopsis

    #include "petsc/private/snesimpl.h"
    PetscErrorCode  KSPMonitorSNESLGResidualNormCreate(MPI_Comm comm,const char host[],const char label[],int x,int y,int m,int n,PetscObject **objs)

Collective on KSP

### Input Parameters

| comm | - communicator context
| host | - the X display to open, or null for the local machine
| label | - the title to put in the title bar
| x, y | - the screen coordinates of the upper left coordinate of the window
| m, n | - the screen width and height in pixels

### Output Parameter

draw -the drawing context

### Options Database Key

-ksp_monitor_lg_residualnorm -Sets line graph monitor

### Notes

Use KSPMonitorSNESLGResidualNormDestroy() to destroy this line graph; do not use PetscDrawLGDestroy().

### Keywords

KSP, monitor, line graph, residual, create

### See Also

KSPMonitorSNESLGResidualNormDestroy(), KSPMonitorSet(), KSPMonitorSNESLGTrueResidualCreate()

### Level

intermediate

### Location

src/snes/interface/snesut.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages